Results 1 to 12 of 12

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Using iPhone with T-Mobile

  1. #1
    What's Jailbreak?
    Join Date
    Apr 2009
    Location
    Michigan
    Posts
    18
    Thanks
    5
    Thanked 0 Times in 0 Posts

    Question Using iPhone with T-Mobile
    I have been using my 2g 8gb iPhone with t-mobile. For data I am using the wap.voicestream.com setting. I see some other ones mentioned here and I wonder if one is better than the other?

    Also, my father-in-law is buying a 3g iPhone to use with t-mobile. I have to unlock it for him. Is there a software unlock available for the latest 2.2.1 firmware?

    Thank you for your time.

  2. #2
    Community Manager Bo Troxell's Avatar
    Join Date
    Aug 2008
    Location
     Valley of the Sun, ARIZONA ♥♥♥
    Posts
    35,196
    Thanks
    5,590
    Thanked 12,540 Times in 7,596 Posts

    Wecome to MMI, here's a link for a custom firmware for the 3G, may help.

  3. #3
    What's Jailbreak?
    Join Date
    Apr 2009
    Location
    Michigan
    Posts
    18
    Thanks
    5
    Thanked 0 Times in 0 Posts

    thank you very much!

  4. #4
    It wont help.
    If the phone already has 2.21 you can't software unlock. The custom FW is only to preserve your BB if you are upgrading from an earlier FW.
    Unless you are buying an old 3G you can not software unlock.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  5. #5
    What's Jailbreak?
    Join Date
    Apr 2009
    Location
    Michigan
    Posts
    18
    Thanks
    5
    Thanked 0 Times in 0 Posts

    wow...ok I guess I will have to find that out. do you know how old it would have to be to not have the 2.2.1? So, if this phone already has 2.2.1 on it...I should NOT buy it since it can't be unlocked to work with t-mobile, correct?

    Also...do you happen to know about the wap.voicestream.com for data with t-mobile? Is there a better address to use?

    Thank you again! I am new to this forum. I know there is a LOT more I can do with my iPhone. I have Cydia and Installer on the phone and I have NO idea how to use them!!

  6. #6
    To software unlock the iPhone 3G what you need is BaseBand 2.28
    Some people upgraded to 2.21 then downgraded the FW to 2.20 but this leaves the BB at 2.30.03 which can NOT be s/ware unlocked.
    FW 2.21 came out about 3 months ago and it's main purpose seems to be to stop YellowSn0w working,
    T-Mobile in the US have 6 different APNs and it depends on what data plan you are on as to which is best.
    Any apps that work are on Cydia - installer is not needed and there are apps onm there that can harm your phone, I would advise you get rid of it.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  7. The Following User Says Thank You to confucious For This Useful Post:

    Bo Troxell (2009-05-15)

  8. #7
    I think you have to look on the boot loader too, mind cannot use the software unlock, and i have to use sim unlock to get it work on Tmobile network.
    internet access on tmobile with the 19.99 plan will be under APN type in interner2.voicestream.com
    Hope this help!

  9. #8
    The Bootloader only matters if you want to downgrade the BB - it is far better to get one that has never been upgraded as they stopped making phones with BL 5.08 in week 28 of 2008
    The APN is internet2.voicestream.com (note the t rather than an r) unless I am mistaken.
    Last edited by confucious; 2009-05-16 at 10:19 AM. Reason: typo when correcting someone elses typo - D'Oh!
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  10. #9
    unfortunaly, my boot loader is 5.08........ so i cannot use software unlock.
    But i am waiting for OS 3.0 not beta come out, so I can use it and unlock my phone.

  11. #10
    Errr..
    If your BL IS 5.08 you CAN use YellowSn0w.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

  12. #11
    My boot loader is 6.02........ any suggestion!!!!!

  13. #12
    Quote Originally Posted by wing103 View Post
    unfortunaly, my boot loader is 5.08........
    Quote Originally Posted by wing103 View Post
    My boot loader is 6.02........ any suggestion!!!!!
    No contradiction there then!
    If you have 6.02 you're stuffed. A piggyback SIM is all you can try until 3.0 is unlocked.
    He who asks a question looks foolish for 5 minutes. He who doesn't ask a question remains foolish forever.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •